## ros-kinetic-summit-xl-description 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_description)

find_package(catkin REQUIRED COMPONENTS roslaunch urdf xacro robotnik_sensors)

catkin_package(
  CATKIN_DEPENDS urdf xacro
)

include_directories(${catkin_INCLUDE_DIRS})

install(
  DIRECTORY launch meshes urdf robots vrep
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-summit-xl-description (1.1.2-0xenial) xenial; urgency=high

  * fixed merge conflicts
  * Changed xacro.py to xacro, added --inorder option and modified xmlns:xacro
  * summit_xl_description: updated xacro to match jade tag syntax
  * summit_xl_description: changed gazebo imu plugin to hector
  * 1.0.9
  * updated changelog
  * Contributors: Marc Bosch-Jorge, carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 31 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.1.1-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.1.0-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.9-0xenial) xenial; urgency=high

  * description: added orbbec camera to the frontal robot area
  * Contributors: RomanRobotnik

 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.8-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.7-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.6-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.5-0xenial) xenial; urgency=high

  * Added directory to CMakeLists
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.4-0xenial) xenial; urgency=high

  * added dependency
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 29 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.3-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.2-0xenial) xenial; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

ros-kinetic-summit-xl-description (1.0.1-0xenial) xenial; urgency=high

  * indigo-1.0.0
  * added plugin option ros_force_based_move from hector_plugins
  * added urdf and meshes of extended arms (ext) version
  * summit_xl_description: commenting last changes to prevent errors if robotnik_sensors is not updated
  * summit_xl_description: adding new params to hokuyo sensors in robots
  * added summit_xl_hls files
  * changed omni wheel diam, omni plugin topic, and skid plugin distance param
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * summit_xl_description: adding dependency to robotnik_sensors
  * added structures folder
  * added structures folder
  * Update package.xml
  * Pad bug solved. Now it commands 0.0 when DeadM button is released. Other minor changes
  * Now summit_xl_pad only publishes when deadman's buttos is pressed.
  * controlPeriod to 0.001
  * deleted summit_xl_nocam.urdf.xacro
  * configured nocam model and added related launch
  * Removed old rubber wheel STL's.
  * New omni wheels.
  * Transmission modified with new style.
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, Jorge Arino, mcantero, rguzman
  * added plugin option ros_force_based_move from hector_plugins
  * added urdf and meshes of extended arms (ext) version
  * summit_xl_description: commenting last changes to prevent errors if robotnik_sensors is not updated
  * summit_xl_description: adding new params to hokuyo sensors in robots
  * added summit_xl_hls files
  * changed omni wheel diam, omni plugin topic, and skid plugin distance param
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * summit_xl_description: adding dependency to robotnik_sensors
  * added structures folder
  * added structures folder
  * Update package.xml
  * Pad bug solved. Now it commands 0.0 when DeadM button is released. Other minor changes
  * Now summit_xl_pad only publishes when deadman's buttos is pressed.
  * controlPeriod to 0.001
  * deleted summit_xl_nocam.urdf.xacro
  * configured nocam model and added related launch
  * Removed old rubber wheel STL's.
  * New omni wheels.
  * Transmission modified with new style.
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, Jorge Arino, rguzman

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-summit-xl-description
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-robotnik-sensors, ros-kinetic-roslaunch, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://ros.org/wiki/summit_xl_description
Standards-Version: 3.9.2

Package: ros-kinetic-summit-xl-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robot-state-publisher, ros-kinetic-robotnik-sensors, ros-kinetic-urdf, ros-kinetic-xacro
Description: URDF description of the Summit XL and Summit XL HL and omni versions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-summit-xl-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
